Bug 1576274 (CVE-2018-5174) - CVE-2018-5174 Mozilla: Windows Defender SmartScreen UI runs with less secure behavior for downloaded files in Windows 10 April 2018 Update
Summary: CVE-2018-5174 Mozilla: Windows Defender SmartScreen UI runs with less secure ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5174
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:15 UTC by Doran Moppert
Modified: 2019-09-29 14:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:14 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:15:47 UTC
In the Windows 10 April 2018 Update, Windows Defender SmartScreen honors the `SEE_MASK_FLAG_NO_UI` flag associated with downloaded files and will not show any UI. Files that are unknown and potentially dangerous will be allowed to run because SmartScreen will not prompt the user for a decision, and if the user is offline all files will be allowed to be opened because Windows won’t prompt the user to ask what to do. Firefox incorrectly sets this flag when downloading files, leading to less secure behavior from SmartScreen. 

*Note: this issue only affects Windows 10 users running the April 2018 update or later. It does not affect other Windows users or other operating systems.*



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5174

Comment 1 Doran Moppert 2018-05-09 07:15:49 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Jimmy


Note You need to log in before you can comment on or make changes to this bug.